Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.action
Class ScheduleReportParametersAction

    java.lang.Object
      org.springframework.webflow.action.AbstractAction
          org.springframework.webflow.action.MultiAction
              org.springframework.webflow.action.FormAction
                  com.jaspersoft.jasperserver.war.action.ReportParametersAction
                      com.jaspersoft.jasperserver.war.action.ScheduleReportParametersAction

All Implemented Interfaces:
  ReportInputControlsAction, org.springframework.beans.factory.InitializingBean, org.springframework.webflow.execution.Action

    public class ScheduleReportParametersAction

extends ReportParametersAction

Version:
  $Id: ScheduleReportParametersAction.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Nested Class Summary

Nested classes/interfaces inherited from class com.jaspersoft.jasperserver.war.action.ReportParametersAction
`ReportParametersAction.InputValueProvider, ReportParametersAction.MapValueProvider`

Nested classes/interfaces inherited from class org.springframework.webflow.action.MultiAction
`org.springframework.webflow.action.MultiAction.MethodResolver`

Field Summary

Fields inherited from class com.jaspersoft.jasperserver.war.action.ReportParametersAction
`INPUTWRAPPERS_ATTR`

Fields inherited from class org.springframework.webflow.action.FormAction
`DEFAULT_FORM_OBJECT_NAME, VALIDATOR_METHOD_ATTRIBUTE`

Fields inherited from class org.springframework.webflow.action.AbstractAction
`logger`

Constructor Summary
`ScheduleReportParametersAction()`

Method Summary
`protected ReportParametersAction.InputValueProvider` | `baseJobValueProvider(org.springframework.webflow.execution.RequestContext context)`
`org.springframework.webflow.execution.Event` | `checkForParameters(org.springframework.webflow.execution.RequestContext context)`
`java.lang.Class` | `getJobFormObjectClass()`
`java.lang.String` | `getJobFormObjectName()`
`org.springframework.webflow.execution.ScopeType` | `getJobFormObjectScope()`
`protected java.util.Map` | `getParameterValuesForJob(org.springframework.webflow.execution.RequestContext context)`
`protected ReportJob` | `getReportJob(org.springframework.webflow.execution.RequestContext context)`
`protected ReportParametersAction.InputValueProvider` | `initialValueProvider(org.springframework.webflow.execution.RequestContext context)`
`void` | `setJobFormObjectClass(java.lang.Class jobFormObjectClass)`
`void` | `setJobFormObjectName(java.lang.String jobFormObjectName)`
`void` | `setJobFormObjectScope(org.springframework.webflow.execution.ScopeType jobFormObjectScope)`
`org.springframework.webflow.execution.Event` | `setParameterValues(org.springframework.webflow.execution.RequestContext context)`

Methods inherited from class com.jaspersoft.jasperserver.war.action.ReportParametersAction
`addCustomParameters, bindParameterValues, createWrappers, createWrappers, defaultValuesProvider, executeQuery, getAttributeDefaultInputValues, getCalendarDatePattern, getCalendarDatePatternAttrName, getCalendarDatetimePattern, getCalendarDatetimePatternAttrName, getCalendarFormatProvider, getControlsDisplayFormAttrName, getDatatype, getDateFormat, getDatetimeFormat, getDSTSavings, getEngine, getHasInputControlsAttrName, getInputControlWrappers, getInputNamePrefix, getLovValue, getMarkerParameterPrefix, getMessages, getParameterMultiValue, getParameterName, getParameterNumberValue, getParameterValues, getQueryValue, getReportDisplayFormAttrName, getReportParameters, getReportUnitAttrName, getReportUnitObjectAttrName, getReportURI, getRepository, getStaticDatePattern, hasInputs, loadDefaultInputValues, loadReportUnit, needsInput, parseRequest, parseRequestInput, parseRequestValue, parseRequestValues, realDatatypeValue, resetValuesToDefaults, setAttributeDefaultInputValues, setCalendarDatePatternAttrName, setCalendarDatetimePatternAttrName, setCalendarFormatProvider, setControlsDisplayFormAttrName, setEngine, setHasInputControlsAttrName, setInputControlParameterValue, setInputNamePrefix, setInputParameterValues, setInputValues, setMarkerParameterPrefix, setMessages, setParameterValues, setReportDisplayFormAttrName, setReportUnitAttributes, setReportUnitAttrName, setReportUnitObjectAttrName, setRepository, setStaticDatePattern, toInputControlNumber, toInputControlValue, toMultiInputControlValue, validateValue, validateValues`

Methods inherited from class org.springframework.webflow.action.FormAction
`bind, bindAndValidate, createBinder, createFormObject, doBind, doValidate, getFormErrors, getFormErrorsScope, getFormObject, getFormObjectAccessor, getFormObjectClass, getFormObjectName, getFormObjectScope, getMessageCodesResolver, getPropertyEditorRegistrar, getValidateMethodInvoker, getValidator, initAction, initBinder, registerPropertyEditors, registerPropertyEditors, resetForm, setFormErrorsScope, setFormObjectClass, setFormObjectName, setFormObjectScope, setMessageCodesResolver, setPropertyEditorRegistrar, setupForm, setValidator, validate, validationEnabled`

Methods inherited from class org.springframework.webflow.action.MultiAction
`doExecute, getMethodResolver, setMethodResolver, setTarget`

Methods inherited from class org.springframework.webflow.action.AbstractAction
`afterPropertiesSet, doPostExecute, doPreExecute, error, error, execute, getActionNameForLogging, getEventFactorySupport, no, result, result, result, result, success, success, yes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.springframework.beans.factory.InitializingBean
`afterPropertiesSet`

Constructor Detail

### ScheduleReportParametersAction

    public ScheduleReportParametersAction()

Method Detail

### getJobFormObjectClass

    public java.lang.Class getJobFormObjectClass()

### setJobFormObjectClass

    public void setJobFormObjectClass(java.lang.Class jobFormObjectClass)

### getJobFormObjectName

    public java.lang.String getJobFormObjectName()

### setJobFormObjectName

    public void setJobFormObjectName(java.lang.String jobFormObjectName)

### getJobFormObjectScope

    public org.springframework.webflow.execution.ScopeType getJobFormObjectScope()

### setJobFormObjectScope

    public void setJobFormObjectScope(org.springframework.webflow.execution.ScopeType jobFormObjectScope)

### checkForParameters

    public org.springframework.webflow.execution.Event checkForParameters(org.springframework.webflow.execution.RequestContext context)

### setParameterValues

    public org.springframework.webflow.execution.Event setParameterValues(org.springframework.webflow.execution.RequestContext context)

### getParameterValuesForJob

    protected java.util.Map getParameterValuesForJob(org.springframework.webflow.execution.RequestContext context)

### initialValueProvider

    protected ReportParametersAction.InputValueProvider initialValueProvider(org.springframework.webflow.execution.RequestContext context)

  Overrides:
    `initialValueProvider` in class `ReportParametersAction`

### baseJobValueProvider

    protected ReportParametersAction.InputValueProvider baseJobValueProvider(org.springframework.webflow.execution.RequestContext context)

### getReportJob

    protected ReportJob getReportJob(org.springframework.webflow.execution.RequestContext context)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.